utility.h File Reference

Go to the source code of this file.

## Classes

struct | std::integer_sequence< _Tp, _Idx >

## Namespaces

namespace | std

## Typedefs

template<typename _Tp, typename _Up = typename remove_cv<_Tp>::type, typename = typename enable_if<is_same<_Tp, _Up>::value>::type, size_t = tuple_size<_Tp>::value>
using | std::__enable_if_has_tuple_size
template<size_t __i, typename _Tp>
using | std::__tuple_element_t
template<size_t... _Idx>
using | std::index_sequence
template<typename... _Types>
using | std::index_sequence_for
template<size_t _Num>
using | std::make_index_sequence
template<typename _Tp, _Tp _Num>
using | std::make_integer_sequence
template<size_t __i, typename _Tp>
using | std::tuple_element_t

## Functions

template<typename _Tp, typename... _Types>
constexpr size_t | std::__find_uniq_type_in_pack ()
template<typename _Tp, size_t _Extent>
| std::_CwFixedValue (_Tp(&)[_Extent]) -> _CwFixedValue< _Tp[_Extent]>

## Variables

template<typename>
constexpr bool | std::__is_constant_wrapper_v
template<auto __cw, typename _Fn>
constexpr bool | std::__is_constant_wrapper_v< constant_wrapper< __cw, _Fn > >
template<typename>
constexpr bool | std::__is_in_place_index_v
template<size_t _Nm>
constexpr bool | std::__is_in_place_index_v< in_place_index_t< _Nm > >
template<typename>
constexpr bool | std::__is_in_place_type_v
template<typename _Tp>
constexpr bool | std::__is_in_place_type_v< in_place_type_t< _Tp > >
template<typename _Range>
constexpr bool | std::ranges::__detail::__is_subrange
template<_CwFixedValue _Tp>
constexpr auto | std::cw
constexpr _Swallow_assign | std::ignore
constexpr in_place_t | std::in_place
template<size_t _Idx>
constexpr in_place_index_t< _Idx > | std::in_place_index
template<typename _Tp>
constexpr in_place_type_t< _Tp > | std::in_place_type
constexpr sorted_equivalent_t | std::sorted_equivalent
constexpr sorted_unique_t | std::sorted_unique
template<typename _Tp>
constexpr size_t | std::tuple_size_v

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

This file contains the parts of <utility> needed by other headers, so they don't need to include the whole of <utility>.

Definition in file utility.h.

## Variable Documentation

## __is_subrange

template<typename _Range>

bool std::ranges::__detail::__is_subrange

inline constexpr

Definition at line 665 of file utility.h.